Groovy Documentation

## org.codehaus.groovy.runtime
[Java] Class ConvertedClosure

    java.lang.Object
      org.codehaus.groovy.runtime.ConversionHandler
          org.codehaus.groovy.runtime.ConvertedClosure

All Implemented Interfaces:
  java.io.Serializable

    public class ConvertedClosure
    extends ConversionHandler

This class is a general adapter to adapt a closure to any Java interface.

Authors:
  Ben Yu
  Jochen Theodorou Jul 27, 2006 3:50:51 PM

Constructor Summary
`ConvertedClosure(Closure closure, java.lang.String method)` to create a ConvertedClosure object.
`ConvertedClosure(Closure closure)`

Method Summary
`java.lang.Object` | `invokeCustom(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class ConversionHandler
checkMethod, equals, getDelegate, hashCode, invoke, invokeCustom, isCoreObjectMethod, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ConvertedClosure

    public ConvertedClosure(Closure closure, java.lang.String method)

  to create a ConvertedClosure object.
  Parameters:
    `closure` - the closure object.

### ConvertedClosure

    public ConvertedClosure(Closure closure)

Method Detail

### invokeCustom

    public java.lang.Object invokeCustom(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)

Groovy Documentation